module SSManager
  require 'thor'
  require 'thor/group'

  class InstallGenerator < Rails::Generators::Base
    include Thor::Actions

    def self.source_root
      File.dirname(__FILE__) + '../../project'
    end

    def create_initializers

      initializers = ['config/initializers/session_destroyer.rb', 'config/initializers/session_manager.rb']

      initializers.each do |path|
        copy_file path, path unless File.exists? path
      end

    end

    def add_model
      copy_file 'app/models/session.rb', 'app/models/session.rb'
    end

  end
end